# Class: AbstractToggleSwitch

## .reel~ AbstractToggleSwitch

#### new AbstractToggleSwitch()

Source:
  - ui/base/abstract-toggle-switch.js, line 10

##### Fires:

- AbstractToggleSwitch#event:action

### Extends

- AbstractControl

### Events

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Type:

- Event

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | pass custom data in this property

Overrides:
  - AbstractControl#event:action
Source:
  - ui/base/abstract-control.js, line 18